unit cadDestino;
                                                       
interface

uses
  Windows, system.UItypes, IB_Access,  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ModeloCadastro, IB_Components, IB_Grid,
  StdCtrls, IB_Controls, Mask, UCBase, ImgList, AppEvnts, ExtCtrls, 
  Grids, Buttons, ComCtrls, jpeg, IB_EditButton, System.ImageList;

type
  TfrmCadDestino = class(TFrModeloCadastro)
    edtCidade: TIB_Edit;
    edtApelido: TIB_Edit;
    GroupBox2: TGroupBox;
    dbCodigo: TIB_Text;
    qrUF: TIB_Query;
    dsrUF: TIB_DataSource;
    edtUF: TIB_LookupCombo;
    qrFilial: TIB_Query;
    dsrFilial: TIB_DataSource;
    edtFilial: TIB_LookupCombo;
    procedure FormCreate(Sender: TObject);
    procedure BtGravarClick(Sender: TObject);
    procedure BtExcluirClick(Sender: TObject);
    procedure btnEditar2Click(Sender: TObject);
    procedure BtProximoClick(Sender: TObject);
    procedure BtAnteriorClick(Sender: TObject);
    procedure BtCancelarClick(Sender: TObject);
    procedure BtInserirClick(Sender: TObject);
    procedure BtEditarClick(Sender: TObject);
  private
    procedure AtualizaTela;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadDestino: TfrmCadDestino;

implementation



{$R *.dfm}

procedure TfrmCadDestino.FormCreate(Sender: TObject);
begin
   Chave_Tabela := 'COD_DESTINO';
   Gera_Codigo  := TRUE;

   Descricao_Unica  := True;
   Campo_Tabela     := 'APELIDO';

   inherited;

   qrUF.Open;
   qrFilial.Open;
end;

procedure TfrmCadDestino.BtGravarClick(Sender: TObject);
begin
   if edtApelido.Text = '' then
   begin
      MessageDlg('Informe o apelido', mtWarning, [mbOK], 0);
      edtApelido.SetFocus;
      Exit;
   end;

   if edtCidade.Text = '' then
   begin
      MessageDlg('Informe a cidade', mtWarning, [mbOK], 0);
      edtCidade.SetFocus;
      Exit;
   end;

   if edtUf.Text = '' then
   begin
      MessageDlg('Selecione o estado', mtWarning, [mbOK], 0);
      edtUf.SetFocus;
      Exit;
   end;

   if edtFilial.Text = '' then
   begin
      MessageDlg('Informe a Filial'+#13+#10+'____________________________________________________'+#13+#10+'Se for um Destino Informe a Filial para onde está a mercadoria'+#13+#10+'Se for uma Origem Informe a Filial de saída da mercadoria', mtWarning, [mbOK], 0);
      edtFilial.SetFocus;
      Exit;
   end;

   TbPrincipal.FieldByName('COD_FILIAL').Value := qrFilial.FieldByName('COD_FILIAL').Value;

   if edtUF.Text <> '' then
      TbPrincipal.FieldByName('COD_UF').Value := qrUF.FieldByName('COD_UF').Value
   else
      TbPrincipal.FieldByName('COD_UF').Value := Null;

   if TbPrincipal.State in [DSSINSERT] then
   begin
      descricao_auditoria := 'CADASTROU O DESTINO ' +TbPrincipal.FieldByName('COD_DESTINO').AsString+' '+ TbPrincipal.FieldByName('APELIDO').AsString + ' da cidade de ' + TbPrincipal.FieldByName('CIDADE').AsString;
   end;

   if TbPrincipal.STATE in [DSSEDIT] then
      descricao_auditoria := 'ALTEROU O DESTINO ' +TbPrincipal.FieldByName('COD_DESTINO').OldAsString+' '+ TbPrincipal.FieldByName('APELIDO').OldAsString + ' da cidade de ' + TbPrincipal.FieldByName('CIDADE').OldAsString;

  inherited;
end;

procedure TfrmCadDestino.BtExcluirClick(Sender: TObject);
begin
   descricao_auditoria := 'EXCLUIU O DESTINO ' +TbPrincipal.FieldByName('COD_DESTINO').OldAsString+' '+ TbPrincipal.FieldByName('APELIDO').OldAsString + ' da cidade de ' + TbPrincipal.FieldByName('CIDADE').OldAsString;
   inherited;
   AtualizaTela;   
end;

procedure TfrmCadDestino.btnEditar2Click(Sender: TObject);
begin
  inherited;
   edtApelido.SetFocus;
end;

procedure TfrmCadDestino.AtualizaTela;
begin
   //=============== Atulaliza a visualizacao dos daoados ================
   if not qrUF.Locate('COD_UF', tbprincipal.FieldByName('COD_UF').Value , [] ) then
   begin
      if not qrUF.Bof then
      begin
         qrUF.First;
         qrUF.Prior;
      end;
   end;

   if not qrFilial.Locate('COD_FILIAL' , TbPrincipal.FieldByName('COD_FILIAL').Value , [] ) then
   begin
      if not QRFILIAL.Bof then
      begin
         qrFilial.First;
         qrFilial.Prior;
      end;
   end;
end;

procedure TfrmCadDestino.BtProximoClick(Sender: TObject);
begin
  inherited;
   AtualizaTela;
end;

procedure TfrmCadDestino.BtAnteriorClick(Sender: TObject);
begin
  inherited;
   AtualizaTela;
end;

procedure TfrmCadDestino.BtCancelarClick(Sender: TObject);
begin
  inherited;
   AtualizaTela;
end;

procedure TfrmCadDestino.BtInserirClick(Sender: TObject);
begin
  inherited;
   AtualizaTela;
end;

procedure TfrmCadDestino.BtEditarClick(Sender: TObject);
begin
  inherited;
   AtualizaTela;
end;

end.
